package com.heyu.api.data.service.impl.api;
/**
* <p>
* 账户表 服务类
* </p>
*
* @author quyixiao
* @since 2025-04-19
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.api.ApiBankCardDao;
import com.heyu.api.data.entity.api.ApiBankCardEntity;
import com.heyu.api.data.service.api.ApiBankCardService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class ApiBankCardServiceImpl extends ServiceImpl<ApiBankCardDao, ApiBankCardEntity> implements ApiBankCardService {


    @Autowired
	private ApiBankCardDao apiBankCardDao;



	@Override
	public ApiBankCardEntity selectApiBankCardById(Long id){
		return apiBankCardDao.selectApiBankCardById(id);
	}



	@Override
	public Long insertApiBankCard(ApiBankCardEntity apiBankCard){
		return apiBankCardDao.insertApiBankCard(apiBankCard);
	}



	@Override
	public Long insertOrUpdateApiBankCard(ApiBankCardEntity apiBankCard){
		return apiBankCardDao.insertOrUpdateApiBankCard(apiBankCard);
	}



	@Override
	public int updateApiBankCardById(ApiBankCardEntity apiBankCard){
		return apiBankCardDao.updateApiBankCardById(apiBankCard);
	}



	@Override
	public int updateCoverApiBankCardById(ApiBankCardEntity apiBankCard){
		return apiBankCardDao.updateCoverApiBankCardById(apiBankCard);
	}



	@Override
	public int deleteApiBankCardById(Long id){
		return apiBankCardDao.deleteApiBankCardById(id);
	}



}
